<?php
$title = 'Тикеты';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
if(!isset($user)){
header('Location: /');
exit;
}
$rang = array('1' => 'Технический отдел','2' => 'Отдел продаж','3' => 'Жалоба','4' => 'Дополнительные услуги');
$stat = array('0' => '<span class="label label-danger">Закрыт</span>','1' => '<span class="label label-info">Новое сообщение</span>','2' => '<span class="label label-success">В ожидании ответа</span>');
if(isset($_GET['new'])) $where = "AND `stat` = '1'";
if(isset($_GET['open'])) $where = "AND `stat` > '0'";


$k_post = $db->prepare("SELECT * FROM `tikets` WHERE `us` = ? $where");
$k_post -> execute([$user['id']]);
$k_post = $k_post -> rowCount();
if($k_post == 0){
?><div class="box"><center>Обращения в тех.поддержку отсутствуют </center></div><?
}
$max = 10;
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$all = $db->prepare("SELECT * FROM `tikets` WHERE `us` = ? $where ORDER BY `id` DESC LIMIT $start, $max");
$all -> execute([$user['id']]);
$all = $all -> fetchAll();
foreach($all as $a){
$times = vremja($a['time']);
$rng = $rang[$a['kat']];
$st = $stat[$a['stat']];
echo "<div class='col-md-16 mt-4'>
<div class='card'>
<div class='card-body'>
{$k_post}) <strong>Название тикета : </strong> {$a['name']} {$st}<br />
<strong>Отдел : </strong> {$rng}<br />
<strong>Дата : </strong> {$times}
<div style='text-align:center;'><a href='/my/tikets/info_{$a['id']}.aspx'><button type='button' class='btn btn-success'>Перейти к тикету</button></a></div>

</div>
</div></div>
";

}

if($k_page >1){
echo str('/my/tikets.aspx',$k_page,$page);
}
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
